<?xml version="1.0" encoding="utf-8"?>
<!--
	
	docbook2odf - DocBook to OpenDocument XSL Transformation
	Copyright (C) 2006 Roman Fordinal
	http://open.comsultia.com/docbook2odf/
	
	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
-->
<xsl:stylesheet
	version="1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" 
	xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
	xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
	xmlns:math="http://www.w3.org/1998/Math/MathML"
	xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
	xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
	xmlns:dom="http://www.w3.org/2001/xml-events"
	xmlns:xforms="http://www.w3.org/2002/xforms"
	xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0"
	office:version="1.0">
	
<xsl:template name="document-meta">
	
	<xsl:element name="office:meta">
		
		<xsl:element name="dc:title">
			<xsl:value-of select="/article/articleinfo/title"/>
		</xsl:element>
		
		<xsl:element name="dc:subject">
			<xsl:value-of select="/article/articleinfo/subtitle"/>
		</xsl:element>
		
		<xsl:element name="dc:description">
			<xsl:value-of select="/article/articleinfo/description"/>
		</xsl:element>
		
		<xsl:element name="text:date">
			<xsl:value-of select="article/articleinfo/pubdate"/>
		</xsl:element>
		
		<xsl:element name="dc:date">
			<xsl:value-of select="article/articleinfo/revhistory/revision/date"/>
		</xsl:element>
		
		<xsl:element name="dc:language">
			<xsl:value-of select="article/@lang"/>
		</xsl:element>
		
		<xsl:element name="meta:editing-cycles">
			<xsl:value-of select="article/articleinfo/revhistory/revision/revnumber"/>
		</xsl:element>
		
		<xsl:element name="meta:initial-creator">
			<xsl:value-of select="
				/article/articleinfo/author/firstname |
				/book/bookinfo/author/firstname
			"/><xsl:text> </xsl:text><xsl:value-of select="
				/article/articleinfo/author/surname |
				/book/bookinfo/author/surname
			"/>
		</xsl:element>
		
		<xsl:element name="meta:generator">
			<xsl:text>docbook2odf [$Rev: 253 $] generator (http://open.comsultia.com/docbook2odf/)</xsl:text>
		</xsl:element>
		
	</xsl:element>
	
</xsl:template>
	
</xsl:stylesheet>
